Bug 219815 - FC-6 does not boot with SATA/RAID hard disk
FC-6 does not boot with SATA/RAID hard disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 11:23 EST by Ismael Jimenez Calvo
Modified: 2008-05-06 13:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ismael Jimenez Calvo 2006-12-15 11:23:11 EST
Description of problem:
Hi,

I successfully installed FC-6 in a computer with PATA hard disk but
when installing it in a computer with SATA/RAID disk, the kernel 
booting stops with a "kernel panic - not syncing" message.

The computer have mother board K8T800 PRO and a SATA/RAID disk (VT8237)
The messages during the aborted booting of FC-6_x86_64 are of
the form,

   ... Found volume group "VolGroup00" now active
   Try to resume from /dev/VolGroup00/LogVol01
   No suspend signature on swap, not resuming
   ...
   creating root device
   Mounting root file system
   mount: could not find file system '/dev/root'
   ...

and other error messages showing that the system seems to be unable to mount
swap, root, /proc and other several file systems.
                                                                               
                 
The disk partitions according, anaconda installer were:

   /dev/sda1   Win XP   ntfs
   /dev/sda2   /boot    ext3
   /dev/sda3 VolGroup00 LVMPV   
      LogVol00    /        ext3
      LogVol01    swap     swap
                                                                               
                           
Since GRUB stops in STAGE2, I use LILO as boot loader. Installing lilo,
it gives the following warning:

   '/proc/partitions' does not match '/dev' directory structure.
   Name change: "/dev/dm-0 --> '/dev/VolGroup00/LogVol00"
                "/dev/dm-1 --> '/dev/VolGroup00/LogVol01"

I have done some changes in the fstab file but I were unable to fix
the problem.

After booting in "linux rescue mode", fstab file reads as follows:

   /dev/VolGroup00/LogVol00   /         ext3    defaults      1  1
   LABEL=/boot                /boot     ext3    defaults      1  2
    ...
    ...
   /dev/VolGroup00/LogVol01   swap      swap    defaults      0  0


mstab file:

   /dev/VolGroup00/LogVol00     /         ext3      rw,defaults   0  0
   /dev/sda2                    /boot     ext3      rw,defaults   0  0
   proc                         /proc     proc      rw,defaults   0  0
   sysfs                        /sys      sysfs     rw,defaults   0  0
   /dev/sysfs                   /sys      sysfs     rw,defaults   0  0

Reading '/proc/partitions' shows:

  7      0                80204        loop0
  8      0            117220824        sda
  8      1             35840983        sda1
  8      2               104420        sda2
  8      3             81272835        sda3
253      0             79200256        dm-0
253      1              2031616        dm-1

Despite the lilo warning message, Win XP boots properly.

Any help please to boot successfully FC-6 ? (FC-3 and FC-4 fail also in
the same way).


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ismael Jimenez Calvo 2006-12-19 12:08:01 EST
Even with an installation of FC-6 with no RAID partitions, booting stops with
the same error messages. 
Partitions were:
 sda1     ntfs   (Win XP)
 sda2     ext3   (Linux root)
 sda3     swap    (swap)
GRUB stops with message "GRUB loading stage2", but LILO isntalls without
warnings and boot properly Win XP:

The disk is ATA Model:ST3120827AS Rev:3.42
Comment 2 Bug Zapper 2008-04-04 01:16:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 13:11:51 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.